Debian Bug report logs - #573636
diakonos fails to start

version graph

Package: diakonos; Maintainer for diakonos is Debian QA Group <packages@qa.debian.org>; Source for diakonos is src:diakonos.

Reported by: Nate Bargmann <n0nb@n0nb.us>

Date: Sat, 13 Mar 2010 03:48:05 UTC

Severity: grave

Tags: patch

Found in version diakonos/0.8.12-1

Fixed in version diakonos/0.8.12-2

Done: Ralph Amissah <ralph@amissah.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ralph Amissah <ralph@amissah.com>:
Bug#573636; Package diakonos. (Sat, 13 Mar 2010 03:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nate Bargmann <n0nb@n0nb.us>:
New Bug report received and forwarded. Copy sent to Ralph Amissah <ralph@amissah.com>. (Sat, 13 Mar 2010 03:48:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nate Bargmann <n0nb@n0nb.us>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: diakonos fails to start
Date: Fri, 12 Mar 2010 21:35:13 -0600
Package: diakonos
Version: 0.8.12-1
Severity: grave
Justification: renders package unusable


After installation of diakonos, attempting to open the program results
in the following error:

$ diakonos
/usr/bin/diakonos:3:in `require': no such file to load -- diakonos (LoadError)
	from /usr/bin/diakonos:3


Even attempting to open with a filename on the command line fails.

- Nate >>

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages diakonos depends on:
ii  ruby                          4.2        An interpreter of object-oriented 

diakonos recommends no packages.

diakonos suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Ralph Amissah <ralph@amissah.com>:
Bug#573636; Package diakonos. (Sat, 13 Mar 2010 23:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Ralph Amissah <ralph@amissah.com>. (Sat, 13 Mar 2010 23:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 573636@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 573636@bugs.debian.org, 573636-submitter@bugs.debian.org
Subject: Re: diakonos fails to start
Date: Sun, 14 Mar 2010 00:34:46 +0100
Hi,

just had a quick look at this bug. diakonos needs ruby1.9.1 (and 
installs it's files only for 1.9.1) but depends on "ruby >= 1.9.1" which 
pulls ruby1.8 per default and has unversioned "ruby" in the shebang.

To solve this bug, one would need to
1. replace the dependency to "ruby1.9.1"
2. replace the shebang to "ruby1.9.1"

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.




Message sent on to Nate Bargmann <n0nb@n0nb.us>:
Bug#573636. (Sat, 13 Mar 2010 23:36:08 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Daiki Ueno <ueno@unixuser.org> to control@bugs.debian.org. (Tue, 16 Mar 2010 04:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ralph Amissah <ralph@amissah.com>:
Bug#573636; Package diakonos. (Tue, 16 Mar 2010 04:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daiki Ueno <ueno@unixuser.org>:
Extra info received and forwarded to list. Copy sent to Ralph Amissah <ralph@amissah.com>. (Tue, 16 Mar 2010 04:18:03 GMT) Full text and rfc822 format available.

Message #20 received at 573636@bugs.debian.org (full text, mbox):

From: Daiki Ueno <ueno@unixuser.org>
To: 573636@bugs.debian.org
Subject: Re: diakonos fails to start
Date: Tue, 16 Mar 2010 11:02:55 +0700
[Message part 1 (text/plain, inline)]
tags 573636 +patch
thanks

Hi,

Here is a patch following Evgeni's suggestion.  I've confirmed that it
actually fixed the startup failure.

[Message part 2 (application/pgp-signature, inline)]
[diakonos-startup.diff (text/x-diff, inline)]
diff -u diakonos-0.8.12/debian/changelog diakonos-0.8.12/debian/changelog
--- diakonos-0.8.12/debian/changelog
+++ diakonos-0.8.12/debian/changelog
@@ -1,3 +1,11 @@
+diakonos (0.8.12-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Depend on ruby1.9.1 and don't use "#!/usr/bin/env ruby" since diakonos
+    only works with ruby1.9.1 (Closes: #573636).
+
+ -- Daiki Ueno <ueno@unixuser.org>  Tue, 16 Mar 2010 10:08:49 +0700
+
 diakonos (0.8.12-1) unstable; urgency=medium
 
   * new upstream version, see upstream changelog, amongst the upstream changes
diff -u diakonos-0.8.12/debian/control diakonos-0.8.12/debian/control
--- diakonos-0.8.12/debian/control
+++ diakonos-0.8.12/debian/control
@@ -11,7 +11,7 @@
 
 Package: diakonos
 Architecture: all
-Depends: ${misc:Depends}, ruby (>=1.9.1)
+Depends: ${misc:Depends}, ruby1.9.1
 Homepage: http://purepistos.net/diakonos/
 Description: Customizable, usable console-based text editor
  an editor made it with the intention of being easier to configure and use than
diff -u diakonos-0.8.12/debian/rules diakonos-0.8.12/debian/rules
--- diakonos-0.8.12/debian/rules
+++ diakonos-0.8.12/debian/rules
@@ -1,12 +1,22 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-clean:
+clean: clean-patched unpatch
+clean-patched:
 	dh_testdir
 	dh_testroot
 	dh_clean
 
-build:
+build: patch
+
+patch: patch-stamp
+patch-stamp:
+	dpatch apply-all
+	dpatch cat-all > patch-stamp
+
+unpatch:
+	dpatch deapply-all
+	rm -rf patch-stamp debian/patched
 
 install:
 
only in patch2:
unchanged:
--- diakonos-0.8.12.orig/debian/patches/00list
+++ diakonos-0.8.12/debian/patches/00list
@@ -0,0 +1,2 @@
+01_no-env-shebang
+
only in patch2:
unchanged:
--- diakonos-0.8.12.orig/debian/patches/01_no-env-shebang.dpatch
+++ diakonos-0.8.12/debian/patches/01_no-env-shebang.dpatch
@@ -0,0 +1,16 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 01_no-env-shebang.dpatch by Daiki Ueno <ueno@unixuser.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: don't use /usr/bin/env for shebang
+
+@DPATCH@
+
+--- diakonos-0.8.12/bin/diakonos~	2010-03-16 10:35:49.000000000 +0700
++++ diakonos-0.8.12/bin/diakonos	2010-03-16 10:36:03.000000000 +0700
+@@ -1,4 +1,4 @@
+-#!/usr/bin/env ruby
++#!/usr/bin/ruby1.9.1
+ 
+ require 'diakonos'
+ 
[Message part 4 (text/plain, inline)]
Sent from Thailand Mini-DebCamp 2010 BSP:
http://wiki.debian.org/DebianThailand/MiniDebCamp2010/BSP

Regards,
-- 
Daiki Ueno

Information forwarded to debian-bugs-dist@lists.debian.org, Ralph Amissah <ralph@amissah.com>:
Bug#573636; Package diakonos. (Tue, 16 Mar 2010 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Ralph Amissah <ralph@amissah.com>. (Tue, 16 Mar 2010 08:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 573636@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Daiki Ueno <ueno@unixuser.org>, 573636@bugs.debian.org
Subject: Re: diakonos fails to start
Date: Tue, 16 Mar 2010 09:35:52 +0100
Hi,

thanks for your patch. However I think it's slightly "wrong".
You are using dpatch without having dpatch as build-depend.
When you have dpatch as b-d, why not use /usr/share/dpatch/dpatch.make 
and it's magic targets?
Using 
build-stamp: patch-stamp
clean: unpatch
should be enough (you do not need to unclean before unpatching, because 
you are not patching any makefiles or smth involved in the clean 
process).

*However* I'd not use dpatch at all here.
Maintainer already has direct changes to files in his .diff.gz 
(lib/diakonos.rb and lib/diakonos/help.rb) and I think forcing him to 
some patch system he is not (yet) using is the wrong way *here* (don't 
understand me wrong, I'm all for patch systems [even if I prefer quilt 
over dpatch] but here we are not the maintainer and should adapt his 
workflow).

Regards,
Evgeni

PS: if you want, i can upload the patch/NMU after you fixed the point(s) 
above :)

-- 
Bruce Schneier can read and understand Perl programs.




Information forwarded to debian-bugs-dist@lists.debian.org, Ralph Amissah <ralph@amissah.com>:
Bug#573636; Package diakonos. (Tue, 16 Mar 2010 09:18:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daiki Ueno <ueno@unixuser.org>:
Extra info received and forwarded to list. Copy sent to Ralph Amissah <ralph@amissah.com>. (Tue, 16 Mar 2010 09:18:11 GMT) Full text and rfc822 format available.

Message #30 received at 573636@bugs.debian.org (full text, mbox):

From: Daiki Ueno <ueno@unixuser.org>
To: Evgeni Golov <evgeni@debian.org>
Cc: 573636@bugs.debian.org
Subject: Re: diakonos fails to start
Date: Tue, 16 Mar 2010 16:14:04 +0700
Evgeni Golov <evgeni@debian.org> writes:

> You are using dpatch without having dpatch as build-depend.
> When you have dpatch as b-d, why not use /usr/share/dpatch/dpatch.make 
> and it's magic targets?

Ah, I didn't know that.  Thanks for the tip.

> *However* I'd not use dpatch at all here.
> Maintainer already has direct changes to files in his .diff.gz 
> (lib/diakonos.rb and lib/diakonos/help.rb) and I think forcing him to 
> some patch system he is not (yet) using is the wrong way *here* (don't 
> understand me wrong, I'm all for patch systems [even if I prefer quilt 
> over dpatch] but here we are not the maintainer and should adapt his 
> workflow).

Yes, I used dpatch just to make it clear that the shebang change is
Debian specific.  I have no strong opinion on whether/which patch
systems are used here.

> PS: if you want, i can upload the patch/NMU after you fixed the point(s) 
> above :)

Thanks, but not really for now.  I also think that it would be
definitely better for the bug to be fixed by the maintainer :-)

Regards,
-- 
Daiki Ueno




Information forwarded to debian-bugs-dist@lists.debian.org, Ralph Amissah <ralph@amissah.com>:
Bug#573636; Package diakonos. (Thu, 18 Mar 2010 11:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Ralph Amissah <ralph@amissah.com>. (Thu, 18 Mar 2010 11:54:05 GMT) Full text and rfc822 format available.

Message #35 received at 573636@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Daiki Ueno <ueno@unixuser.org>
Cc: 573636@bugs.debian.org
Subject: Re: diakonos fails to start
Date: Thu, 18 Mar 2010 12:51:57 +0100
Hi,
On Tue, Mar 16, 2010 at 04:14:04PM +0700, Daiki Ueno wrote:
> Evgeni Golov <evgeni@debian.org> writes:
> > *However* I'd not use dpatch at all here.
> > Maintainer already has direct changes to files in his .diff.gz 
> > (lib/diakonos.rb and lib/diakonos/help.rb) and I think forcing him to 
> > some patch system he is not (yet) using is the wrong way *here* (don't 
> > understand me wrong, I'm all for patch systems [even if I prefer quilt 
> > over dpatch] but here we are not the maintainer and should adapt his 
> > workflow).
> 
> Yes, I used dpatch just to make it clear that the shebang change is
> Debian specific.  I have no strong opinion on whether/which patch
> systems are used here.

Yes, but the maintainer already has direct changes in his diff.gz, 
without a patch system. So I'd continue his workflow here and do it 
without a proper patch system.

> > PS: if you want, i can upload the patch/NMU after you fixed the point(s) 
> > above :)
> 
> Thanks, but not really for now.  I also think that it would be
> definitely better for the bug to be fixed by the maintainer :-)

It is better, for sure, but well, the bug is RC (diakonos is completely 
unuseable atm) and already 6 days old.
I think I will upload a NMU to DELAYED/7 or so later today.

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.




Information forwarded to debian-bugs-dist@lists.debian.org, Ralph Amissah <ralph@amissah.com>:
Bug#573636; Package diakonos. (Fri, 19 Mar 2010 10:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Ralph Amissah <ralph@amissah.com>. (Fri, 19 Mar 2010 10:51:08 GMT) Full text and rfc822 format available.

Message #40 received at 573636@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 573636@bugs.debian.org, Ralph Amissah <ralph@amissah.com>
Subject: Re: diakonos fails to start
Date: Fri, 19 Mar 2010 11:47:51 +0100
[Message part 1 (text/plain, inline)]
[ resending, last mail bounced because of my stupid local setup ]

Hi Ralph,

attached you can find *my* solution for the diakonos RC bug #573636.
It's pretty simple but YMMV as usual :)

I plan to upload it to DELAYED/10 tonight. 10 because I'm leaving for
a week tomorrow and won't be able to do anything if the upload breaks
something (which it shouldn't).

If you want me to upload it faster (because you have no time or 
something)
just mail me.

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.
[diakonos_573636.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ralph Amissah <ralph@amissah.com>:
Bug#573636; Package diakonos. (Fri, 19 Mar 2010 13:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralph Amissah <ralph.amissah@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ralph Amissah <ralph@amissah.com>. (Fri, 19 Mar 2010 13:42:03 GMT) Full text and rfc822 format available.

Message #45 received at 573636@bugs.debian.org (full text, mbox):

From: Ralph Amissah <ralph.amissah@gmail.com>
To: 573636@bugs.debian.org
Subject: Re: Bug#573636: diakonos fails to start
Date: Fri, 19 Mar 2010 09:41:16 -0400
looks as though all work has been done, will rebuild and repost this
evening or over the weekend.

Thanks Nate Bargmann (bug report), Daiki Ueno (fix and work on patch),
and Evgeni Golov.

Ralph Amissah




Reply sent to Ralph Amissah <ralph@amissah.com>:
You have taken responsibility. (Sat, 20 Mar 2010 01:48:05 GMT) Full text and rfc822 format available.

Notification sent to Nate Bargmann <n0nb@n0nb.us>:
Bug acknowledged by developer. (Sat, 20 Mar 2010 01:48:06 GMT) Full text and rfc822 format available.

Message #50 received at 573636-close@bugs.debian.org (full text, mbox):

From: Ralph Amissah <ralph@amissah.com>
To: 573636-close@bugs.debian.org
Subject: Bug#573636: fixed in diakonos 0.8.12-2
Date: Sat, 20 Mar 2010 01:47:14 +0000
Source: diakonos
Source-Version: 0.8.12-2

We believe that the bug you reported is fixed in the latest version of
diakonos, which is due to be installed in the Debian FTP archive:

diakonos_0.8.12-2.diff.gz
  to main/d/diakonos/diakonos_0.8.12-2.diff.gz
diakonos_0.8.12-2.dsc
  to main/d/diakonos/diakonos_0.8.12-2.dsc
diakonos_0.8.12-2_all.deb
  to main/d/diakonos/diakonos_0.8.12-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573636@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ralph Amissah <ralph@amissah.com> (supplier of updated diakonos package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 19 Mar 2010 21:26:58 -0400
Source: diakonos
Binary: diakonos
Architecture: source all
Version: 0.8.12-2
Distribution: unstable
Urgency: medium
Maintainer: Ralph Amissah <ralph@amissah.com>
Changed-By: Ralph Amissah <ralph@amissah.com>
Description: 
 diakonos   - Customizable, usable console-based text editor
Closes: 573636
Changes: 
 diakonos (0.8.12-2) unstable; urgency=medium
 .
   * Explicitly call ruby1.9.1
     Depend on ruby1.9.1 and use "#!  /usr/bin/ruby1.9.1" rather than
     "#!/usr/bin/env ruby" since diakonos only works with ruby1.9.1 (Closes:
     #573636) [thanks Daiki Ueno for fix and working on patch] [thanks Nate
     Bargmann (bug report), and Evgeni Golov]
Checksums-Sha1: 
 6a9b538b73d327f20a2e0a11d4cfe7f386c88d33 1126 diakonos_0.8.12-2.dsc
 a2e49bdc6caf32437f7ca8d3dff1957b9c2d535a 5279 diakonos_0.8.12-2.diff.gz
 3289d663d16415376fbf344e1a19521dfd2f7c02 111882 diakonos_0.8.12-2_all.deb
Checksums-Sha256: 
 7b4798cebe95cbba28aa6330be8bd7f63082eda3c26248e90c2f38ad301944fd 1126 diakonos_0.8.12-2.dsc
 a87a38ac739b8a6936155c519547ce4f8e2306ff064ff8f827bcb21415e4ad24 5279 diakonos_0.8.12-2.diff.gz
 3a3bd2a6099e94d6a679c76b0cf0033be5cb15fb43b58ae2613d569351cfc2ff 111882 diakonos_0.8.12-2_all.deb
Files: 
 7f47333d88b189ab91c9682bcd65f0fa 1126 text optional diakonos_0.8.12-2.dsc
 ea05d0997ee8f20cb2807064df001f6e 5279 text optional diakonos_0.8.12-2.diff.gz
 5d791118961b3cc786b8da459fdd4345 111882 text optional diakonos_0.8.12-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkukJvQACgkQb3gYqbmPYrFIDACghDXkzH2QhXUQmUvfmSpHgQv4
sTsAnRLouusQEwBsh9J+x6PgKF1okPfI
=Gfwa
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Apr 2010 07:34:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:30:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.